--[[
	Name: Babble-Item-2.0
	Revision: $Rev: 10000 $
	Author(s): CFM-KasVital
	Description: A library to provide localizations for items.
	Dependencies: AceLibrary, AceLocale-2.2
]]

local MAJOR_VERSION = "Babble-Item-2.0"
local MINOR_VERSION = tonumber(string.sub("$Revision: 10000 $", 12, -3))

if not AceLibrary then error(MAJOR_VERSION .. " requires AceLibrary") end
if not AceLibrary:HasInstance("AceLocale-2.2") then error(MAJOR_VERSION .. " requires AceLocale-2.2") end

local _, x = AceLibrary("AceLocale-2.2"):GetLibraryVersion()
MINOR_VERSION = MINOR_VERSION * 100000 + x

if not AceLibrary:IsNewVersion(MAJOR_VERSION, MINOR_VERSION) then return end

local BabbleItem = AceLibrary("AceLocale-2.2"):new(MAJOR_VERSION)

BabbleItem:RegisterTranslations("enUS", function()
    return {
		['Greater Healing Potion'] = true,
		['Greater Fire Protection Potion'] = true,
		['Mageblood Potion'] = true,
		['Major Healing Potion'] = true,
		['Major Mana Potion'] = true,
		['Mana Potion'] = true,
		['Swiftness Potion'] = true,
		['Transmute: Arcanite'] = true,
		['Rough Sharpening Stone'] = true,
		['Rough Weightstone'] = true,
		['Coarse Sharpening Stone'] = true,
		['Coarse Weightstone'] = true,
		['Heavy Sharpening Stone'] = true,
		['Heavy Weightstone'] = true,
		['Solid Sharpening Stone'] = true,
		['Solid Weightstone'] = true,
		['Dense Sharpening Stone'] = true,
		['Dense Weightstone'] = true,
		['Smoked Sagefish'] = true,
		['Savory Deviate Delight'] = true,
		['Thistle Tea'] = true,
		['Enchant Chest - Minor Mana'] = true,
		['Enchanted Leather'] = true,
		['Rough Blasting Powder'] = true,
		['Coarse Blasting Powder'] = true,
		['Heavy Blasting Powder'] = true,
		['Solid Blasting Powder'] = true,
		['Dense Blasting Powder'] = true,
		['Arclight Spanner'] = true,
		['Copper Modulator'] = true,
		['Handful of Copper Bolts'] = true,
		['Linen Bandage'] = true,
		['Heavy Linen Bandage'] = true,
		['Wool Bandage'] = true,
		['Heavy Wool Bandage'] = true,
		['Silk Bandage'] = true,
		['Heavy Silk Bandage'] = true,
		['Mageweave Bandage'] = true,
		['Heavy Mageweave Bandage'] = true,
		['Runecloth Bandage'] = true,
		['Heavy Runecloth Bandage'] = true,
		['Smelt Copper'] = true,
		['Copper Bar'] = true,
		['Smelt Tin'] = true,
		['Smelt Bronze'] = true,
		['Smelt Silver'] = true,
		['Smelt Gold'] = true,
		['Smelt Iron'] = true,
		['Smelt Mithril'] = true,
		['Smelt Truesilver'] = true,
		['Smelt Thorium'] = true,
		['Thorium Bar'] = true,
		['Bolt of Linen Cloth'] = true,
		['Bolt of Woolen Cloth'] = true,
		['Bolt of Silk Cloth'] = true,
		['Bolt of Mageweave'] = true,
		['Bolt of Runecloth'] = true,
		['Rough Copper Bomb'] = true,
		['Large Copper Bomb'] = true,
		['Small Bronze Bomb'] = true,
		['Big Bronze Bomb'] = true,
		['Iron Grenade'] = true,
		['Big Iron Bomb'] = true,
		['Mithril Frag Bomb'] = true,
		['Hi-Explosive Bomb'] = true,
		['Thorium Grenade'] = true,
		['Dark Iron Bomb'] = true,
		['Arcane Bomb'] = true,
		['Net-o-Matic'] = true,
		['Fire Reflector'] = true,
		['Frost Reflector'] = true,
		['Shadow Reflector'] = true,
		['Fang of the Crystal Spider'] = true,
		['Free Action'] = true,
		['Living Free Action'] = true,
	}
end)

BabbleItem:RegisterTranslations("ruRU", function()
	return {
		['Greater Healing Potion'] = 'Средний флакон с лечебным зельем',
		['Greater Fire Protection Potion'] = 'Сильное зелье защиты от огня',
		['Mageblood Potion'] = 'Эликсир крови волшебника',
		['Major Healing Potion'] = 'Огромный флакон с лечебным зельем',
		['Major Mana Potion'] = 'Огромный флакон с зельем маны',
		['Mana Potion'] = 'Зелье маны',
		['Swiftness Potion'] = 'Зелье скорости',
		['Transmute: Arcanite'] = 'Трансмутация: арканит',
		['Rough Sharpening Stone'] = 'Грубое точило',
		['Rough Weightstone'] = 'Грубое грузило',
		['Coarse Sharpening Stone'] = 'Зернистое точило',
		['Coarse Weightstone'] = 'Зернистое грузило',
		['Heavy Sharpening Stone'] = 'Тяжелое точило',
		['Heavy Weightstone'] = 'Тяжелое грузило',
		['Solid Sharpening Stone'] = 'Твердое точило',
		['Solid Weightstone'] = 'Твердое грузило',
		['Dense Sharpening Stone'] = 'Массивное точило',
		['Dense Weightstone'] = 'Массивное грузило',
		['Smoked Sagefish'] = 'Копченый шалфокунь',
		['Savory Deviate Delight'] = 'Загадочное острое лакомство',
		['Thistle Tea'] = 'Артишоковый чай',
		['Enchant Chest - Minor Mana'] = 'Чары для нагрудника - мана I',
		['Enchanted Leather'] = 'Зачарованная кожа',
		['Rough Blasting Powder'] = 'Грубое взрывчатое вещество',
		['Coarse Blasting Powder'] = 'Низкосортное взрывчатое вещество',
		['Heavy Blasting Powder'] = 'Тяжелое взрывчатое вещество',
		['Solid Blasting Powder'] = 'Твердое взрывчатое вещество',
		['Dense Blasting Powder'] = 'Концентрированное взрывчатое вещество',
		['Arclight Spanner'] = 'Тангенциальный вращатель',
		['Copper Modulator'] = 'Медный регулятор',
		['Handful of Copper Bolts'] = 'Горсть медных винтов',
		['Linen Bandage'] = 'Льняные бинты',
		['Heavy Linen Bandage'] = 'Плотные льняные бинты',
		['Wool Bandage'] = 'Шерстяные бинты',
		['Heavy Wool Bandage'] = 'Плотные шерстяные бинты',
		['Silk Bandage'] = 'Шелковые бинты',
		['Heavy Silk Bandage'] = 'Плотные шелковые бинты',
		['Mageweave Bandage'] = 'Бинты из магической ткани',
		['Heavy Mageweave Bandage'] = 'Плотные бинты из магической ткани',
		['Runecloth Bandage'] = 'Бинты из рунической ткани',
		['Heavy Runecloth Bandage'] = 'Плотные бинты из рунической ткани',
		['Smelt Copper'] = 'Выплавка меди',
		['Copper Bar'] = 'Медная руда',
		['Smelt Tin'] = 'Выплавка олова',
		['Smelt Bronze'] = 'Выплавка бронзы',
		['Smelt Silver'] = 'Выплавка серебра',
		['Smelt Gold'] = 'Выплавка золота',
		['Smelt Iron'] = 'Выплавка железа',
		['Smelt Mithril'] = 'Выплавка мифрила',
		['Smelt Truesilver'] = 'Выплавка истинного серебра',
		['Smelt Thorium'] = 'Выплавка тория',
		['Thorium Bar'] = 'Ториевая руда',
		['Bolt of Linen Cloth'] = 'Рулон льняной ткани',
		['Bolt of Woolen Cloth'] = 'Рулон шерсти',
		['Bolt of Silk Cloth'] = 'Рулон шелка',
		['Bolt of Mageweave'] = 'Рулон магической ткани',
		['Bolt of Runecloth'] = 'Рулон рунической ткани',
		['Rough Copper Bomb'] = 'Грубая медная бомба',
		['Large Copper Bomb'] = 'Большая медная бомба',
		['Small Bronze Bomb'] = 'Небольшая бронзовая бомба',
		['Big Bronze Bomb'] = 'Большая бронзовая бомба',
		['Iron Grenade'] = 'Железная граната',
		['Big Iron Bomb'] = 'Большая железная бомба',
		['Mithril Frag Bomb'] = 'Мифриловая осколочная бомба',
		['Hi-Explosive Bomb'] = 'Фугасная бомба',
		['Thorium Grenade'] = 'Ториевая граната',
		['Dark Iron Bomb'] = 'Бомба из черного железа',
		['Arcane Bomb'] = 'Чародейская бомба',
		['Net-o-Matic'] = 'Сетестрел',
		['Fire Reflector'] = 'Отражатель пламени',
		['Frost Reflector'] = 'Зеркало Льда',
		['Shadow Reflector'] = 'Отражатель теней',
		['Fang of the Crystal Spider'] = 'Клык Хрустального Паука',
		['Free Action'] = 'Зелье свободы действий',
		['Living Free Action'] = 'Живая свобода',
	}
end)
--need translate it
BabbleItem:RegisterTranslations("deDE", function()
	return {
		['Greater Healing Potion'] = '',
		['Greater Fire Protection Potion'] = '',
		['Mageblood Potion'] = '',
		['Major Healing Potion'] = '',
		['Major Mana Potion'] = '',
		['Mana Potion'] = '',
		['Swiftness Potion'] = '',
		['Transmute: Arcanite'] = '',
		['Rough Sharpening Stone'] = '',
		['Rough Weightstone'] = '',
		['Coarse Sharpening Stone'] = '',
		['Coarse Weightstone'] = '',
		['Heavy Sharpening Stone'] = '',
		['Heavy Weightstone'] = '',
		['Solid Sharpening Stone'] = '',
		['Solid Weightstone'] = '',
		['Dense Sharpening Stone'] = '',
		['Dense Weightstone'] = '',
		['Smoked Sagefish'] = '',
		['Savory Deviate Delight'] = '',
		['Thistle Tea'] = '',
		['Enchant Chest - Minor Mana'] = '',
		['Enchanted Leather'] = '',
		['Rough Blasting Powder'] = '',
		['Coarse Blasting Powder'] = '',
		['Heavy Blasting Powder'] = '',
		['Solid Blasting Powder'] = '',
		['Dense Blasting Powder'] = '',
		['Arclight Spanner'] = '',
		['Copper Modulator'] = '',
		['Handful of Copper Bolts'] = '',
		['Linen Bandage'] = '',
		['Heavy Linen Bandage'] = '',
		['Wool Bandage'] = '',
		['Heavy Wool Bandage'] = '',
		['Silk Bandage'] = '',
		['Heavy Silk Bandage'] = '',
		['Mageweave Bandage'] = '',
		['Heavy Mageweave Bandage'] = '',
		['Runecloth Bandage'] = '',
		['Heavy Runecloth Bandage'] = '',
		['Smelt Copper'] = '',
		['Copper Bar'] = '',
		['Smelt Tin'] = '',
		['Smelt Bronze'] = '',
		['Smelt Silver'] = '',
		['Smelt Gold'] = '',
		['Smelt Iron'] = '',
		['Smelt Mithril'] = '',
		['Smelt Truesilver'] = '',
		['Smelt Thorium'] = '',
		['Thorium Bar'] = '',
		['Bolt of Linen Cloth'] = '',
		['Bolt of Woolen Cloth'] = '',
		['Bolt of Silk Cloth'] = '',
		['Bolt of Mageweave'] = '',
		['Bolt of Runecloth'] = '',
		['Rough Copper Bomb'] = '',
		['Large Copper Bomb'] = '',
		['Small Bronze Bomb'] = '',
		['Big Bronze Bomb'] = '',
		['Iron Grenade'] = '',
		['Big Iron Bomb'] = '',
		['Mithril Frag Bomb'] = '',
		['Hi-Explosive Bomb'] = '',
		['Thorium Grenade'] = '',
		['Dark Iron Bomb'] = '',
		['Arcane Bomb'] = '',
		['Net-o-Matic'] = '',
		['Fire Reflector'] = '',
		['Frost Reflector'] = '',
		['Shadow Reflector'] = '',
		['Fang of the Crystal Spider'] = '',
		['Free Action'] = '',
		['Living Free Action'] = '',
	}
end)
--need translate it
BabbleItem:RegisterTranslations("frFR", function()
	return {
		['Greater Healing Potion'] = '',
		['Greater Fire Protection Potion'] = '',
		['Mageblood Potion'] = '',
		['Major Healing Potion'] = '',
		['Major Mana Potion'] = '',
		['Mana Potion'] = '',
		['Swiftness Potion'] = '',
		['Transmute: Arcanite'] = '',
		['Rough Sharpening Stone'] = '',
		['Rough Weightstone'] = '',
		['Coarse Sharpening Stone'] = '',
		['Coarse Weightstone'] = '',
		['Heavy Sharpening Stone'] = '',
		['Heavy Weightstone'] = '',
		['Solid Sharpening Stone'] = '',
		['Solid Weightstone'] = '',
		['Dense Sharpening Stone'] = '',
		['Dense Weightstone'] = '',
		['Smoked Sagefish'] = '',
		['Savory Deviate Delight'] = '',
		['Thistle Tea'] = '',
		['Enchant Chest - Minor Mana'] = '',
		['Enchanted Leather'] = '',
		['Rough Blasting Powder'] = '',
		['Coarse Blasting Powder'] = '',
		['Heavy Blasting Powder'] = '',
		['Solid Blasting Powder'] = '',
		['Dense Blasting Powder'] = '',
		['Arclight Spanner'] = '',
		['Copper Modulator'] = '',
		['Handful of Copper Bolts'] = '',
		['Linen Bandage'] = '',
		['Heavy Linen Bandage'] = '',
		['Wool Bandage'] = '',
		['Heavy Wool Bandage'] = '',
		['Silk Bandage'] = '',
		['Heavy Silk Bandage'] = '',
		['Mageweave Bandage'] = '',
		['Heavy Mageweave Bandage'] = '',
		['Runecloth Bandage'] = '',
		['Heavy Runecloth Bandage'] = '',
		['Smelt Copper'] = '',
		['Copper Bar'] = '',
		['Smelt Tin'] = '',
		['Smelt Bronze'] = '',
		['Smelt Silver'] = '',
		['Smelt Gold'] = '',
		['Smelt Iron'] = '',
		['Smelt Mithril'] = '',
		['Smelt Truesilver'] = '',
		['Smelt Thorium'] = '',
		['Thorium Bar'] = '',
		['Bolt of Linen Cloth'] = '',
		['Bolt of Woolen Cloth'] = '',
		['Bolt of Silk Cloth'] = '',
		['Bolt of Mageweave'] = '',
		['Bolt of Runecloth'] = '',
		['Rough Copper Bomb'] = '',
		['Large Copper Bomb'] = '',
		['Small Bronze Bomb'] = '',
		['Big Bronze Bomb'] = '',
		['Iron Grenade'] = '',
		['Big Iron Bomb'] = '',
		['Mithril Frag Bomb'] = '',
		['Hi-Explosive Bomb'] = '',
		['Thorium Grenade'] = '',
		['Dark Iron Bomb'] = '',
		['Arcane Bomb'] = '',
		['Net-o-Matic'] = '',
		['Fire Reflector'] = '',
		['Frost Reflector'] = '',
		['Shadow Reflector'] = '',
		['Fang of the Crystal Spider'] = '',
		['Free Action'] = '',
		['Living Free Action'] = '',
	}
end)
--need translate it
BabbleItem:RegisterTranslations("zhCN", function()
	return {
		['Greater Healing Potion'] = '',
		['Greater Fire Protection Potion'] = '',
		['Mageblood Potion'] = '',
		['Major Healing Potion'] = '',
		['Major Mana Potion'] = '',
		['Mana Potion'] = '',
		['Swiftness Potion'] = '',
		['Transmute: Arcanite'] = '',
		['Rough Sharpening Stone'] = '',
		['Rough Weightstone'] = '',
		['Coarse Sharpening Stone'] = '',
		['Coarse Weightstone'] = '',
		['Heavy Sharpening Stone'] = '',
		['Heavy Weightstone'] = '',
		['Solid Sharpening Stone'] = '',
		['Solid Weightstone'] = '',
		['Dense Sharpening Stone'] = '',
		['Dense Weightstone'] = '',
		['Smoked Sagefish'] = '',
		['Savory Deviate Delight'] = '',
		['Thistle Tea'] = '',
		['Enchant Chest - Minor Mana'] = '',
		['Enchanted Leather'] = '',
		['Rough Blasting Powder'] = '',
		['Coarse Blasting Powder'] = '',
		['Heavy Blasting Powder'] = '',
		['Solid Blasting Powder'] = '',
		['Dense Blasting Powder'] = '',
		['Arclight Spanner'] = '',
		['Copper Modulator'] = '',
		['Handful of Copper Bolts'] = '',
		['Linen Bandage'] = '',
		['Heavy Linen Bandage'] = '',
		['Wool Bandage'] = '',
		['Heavy Wool Bandage'] = '',
		['Silk Bandage'] = '',
		['Heavy Silk Bandage'] = '',
		['Mageweave Bandage'] = '',
		['Heavy Mageweave Bandage'] = '',
		['Runecloth Bandage'] = '',
		['Heavy Runecloth Bandage'] = '',
		['Smelt Copper'] = '',
		['Copper Bar'] = '',
		['Smelt Tin'] = '',
		['Smelt Bronze'] = '',
		['Smelt Silver'] = '',
		['Smelt Gold'] = '',
		['Smelt Iron'] = '',
		['Smelt Mithril'] = '',
		['Smelt Truesilver'] = '',
		['Smelt Thorium'] = '',
		['Thorium Bar'] = '',
		['Bolt of Linen Cloth'] = '',
		['Bolt of Woolen Cloth'] = '',
		['Bolt of Silk Cloth'] = '',
		['Bolt of Mageweave'] = '',
		['Bolt of Runecloth'] = '',
		['Rough Copper Bomb'] = '',
		['Large Copper Bomb'] = '',
		['Small Bronze Bomb'] = '',
		['Big Bronze Bomb'] = '',
		['Iron Grenade'] = '',
		['Big Iron Bomb'] = '',
		['Mithril Frag Bomb'] = '',
		['Hi-Explosive Bomb'] = '',
		['Thorium Grenade'] = '',
		['Dark Iron Bomb'] = '',
		['Arcane Bomb'] = '',
		['Net-o-Matic'] = '',
		['Fire Reflector'] = '',
		['Frost Reflector'] = '',
		['Shadow Reflector'] = '',
		['Fang of the Crystal Spider'] = '',
		['Free Action'] = '',
		['Living Free Action'] = '',
	}
end)
--need translate it
BabbleItem:RegisterTranslations("koKR", function()
	return {
		['Greater Healing Potion'] = '',
		['Greater Fire Protection Potion'] = '',
		['Mageblood Potion'] = '',
		['Major Healing Potion'] = '',
		['Major Mana Potion'] = '',
		['Mana Potion'] = '',
		['Swiftness Potion'] = '',
		['Transmute: Arcanite'] = '',
		['Rough Sharpening Stone'] = '',
		['Rough Weightstone'] = '',
		['Coarse Sharpening Stone'] = '',
		['Coarse Weightstone'] = '',
		['Heavy Sharpening Stone'] = '',
		['Heavy Weightstone'] = '',
		['Solid Sharpening Stone'] = '',
		['Solid Weightstone'] = '',
		['Dense Sharpening Stone'] = '',
		['Dense Weightstone'] = '',
		['Smoked Sagefish'] = '',
		['Savory Deviate Delight'] = '',
		['Thistle Tea'] = '',
		['Enchant Chest - Minor Mana'] = '',
		['Enchanted Leather'] = '',
		['Rough Blasting Powder'] = '',
		['Coarse Blasting Powder'] = '',
		['Heavy Blasting Powder'] = '',
		['Solid Blasting Powder'] = '',
		['Dense Blasting Powder'] = '',
		['Arclight Spanner'] = '',
		['Copper Modulator'] = '',
		['Handful of Copper Bolts'] = '',
		['Linen Bandage'] = '',
		['Heavy Linen Bandage'] = '',
		['Wool Bandage'] = '',
		['Heavy Wool Bandage'] = '',
		['Silk Bandage'] = '',
		['Heavy Silk Bandage'] = '',
		['Mageweave Bandage'] = '',
		['Heavy Mageweave Bandage'] = '',
		['Runecloth Bandage'] = '',
		['Heavy Runecloth Bandage'] = '',
		['Smelt Copper'] = '',
		['Copper Bar'] = '',
		['Smelt Tin'] = '',
		['Smelt Bronze'] = '',
		['Smelt Silver'] = '',
		['Smelt Gold'] = '',
		['Smelt Iron'] = '',
		['Smelt Mithril'] = '',
		['Smelt Truesilver'] = '',
		['Smelt Thorium'] = '',
		['Thorium Bar'] = '',
		['Bolt of Linen Cloth'] = '',
		['Bolt of Woolen Cloth'] = '',
		['Bolt of Silk Cloth'] = '',
		['Bolt of Mageweave'] = '',
		['Bolt of Runecloth'] = '',
		['Rough Copper Bomb'] = '',
		['Large Copper Bomb'] = '',
		['Small Bronze Bomb'] = '',
		['Big Bronze Bomb'] = '',
		['Iron Grenade'] = '',
		['Big Iron Bomb'] = '',
		['Mithril Frag Bomb'] = '',
		['Hi-Explosive Bomb'] = '',
		['Thorium Grenade'] = '',
		['Dark Iron Bomb'] = '',
		['Arcane Bomb'] = '',
		['Net-o-Matic'] = '',
		['Fire Reflector'] = '',
		['Frost Reflector'] = '',
		['Shadow Reflector'] = '',
		['Fang of the Crystal Spider'] = '',
		['Free Action'] = '',
		['Living Free Action'] = '',
	}
end)

local itemIcons = {
		['Greater Healing Potion'] = 'INV_Potion_52',
		['Greater Fire Protection Potion'] = 'INV_Potion_24',
		['Mageblood Potion'] = 'INV_Potion_45',
		['Major Healing Potion'] = 'INV_Potion_54',
		['Major Mana Potion'] = 'INV_Potion_76',
		['Mana Potion'] = 'INV_Potion_72',
		['Swiftness Potion'] = 'INV_Potion_95',
		['Transmute: Arcanite'] = 'INV_Misc_StoneTablet_05',
		['Rough Sharpening Stone'] = 'INV_Stone_SharpeningStone_01',
		['Rough Weightstone'] = 'INV_Stone_WeightStone_01',
		['Coarse Sharpening Stone'] = 'INV_Stone_SharpeningStone_02',
		['Coarse Weightstone'] = 'INV_Stone_WeightStone_02',
		['Heavy Sharpening Stone'] = 'INV_Stone_SharpeningStone_03',
		['Heavy Weightstone'] = 'INV_Stone_WeightStone_03',
		['Solid Sharpening Stone'] = 'INV_Stone_SharpeningStone_04',
		['Solid Weightstone'] = 'INV_Stone_WeightStone_04',
		['Dense Sharpening Stone'] = 'INV_Stone_SharpeningStone_05',
		['Dense Weightstone'] = 'INV_Stone_WeightStone_05',
		['Smoked Sagefish'] = 'INV_Misc_Fish_20',
		['Savory Deviate Delight'] = 'INV_Misc_MonsterHead_04',
		['Thistle Tea'] = 'INV_Drink_Milk_05',
		['Enchant Chest - Minor Mana'] = 'Ability_WarStomp',
		['Enchanted Leather'] = 'INV_Misc_Rune_05',
		['Rough Blasting Powder'] = 'INV_Misc_Dust_01',
		['Coarse Blasting Powder'] = 'INV_Misc_Dust_02',
		['Heavy Blasting Powder'] = 'INV_Misc_Dust_06',
		['Solid Blasting Powder'] = 'INV_Misc_Powder_Black',
		['Dense Blasting Powder'] = 'INV_Misc_Ammo_Gunpowder_01',
		['Arclight Spanner'] = 'INV_Misc_Wrench_01',
		['Copper Modulator'] = 'INV_Gizmo_03',
		['Handful of Copper Bolts'] = 'INV_Misc_Gear_06',
		['Linen Bandage'] = 'INV_Misc_Bandage_15',
		['Heavy Linen Bandage'] = 'INV_Misc_Bandage_18',
		['Wool Bandage'] = 'INV_Misc_Bandage_14',
		['Heavy Wool Bandage'] = 'INV_Misc_Bandage_17',
		['Silk Bandage'] = 'INV_Misc_Bandage_01',
		['Heavy Silk Bandage'] = 'INV_Misc_Bandage_02',
		['Mageweave Bandage'] = 'INV_Misc_Bandage_19',
		['Heavy Mageweave Bandage'] = 'INV_Misc_Bandage_20',
		['Runecloth Bandage'] = 'INV_Misc_Bandage_11',
		['Heavy Runecloth Bandage'] = 'INV_Misc_Bandage_12',
		['Smelt Copper'] = 'INV_Ingot_02',
		['Copper Bar'] = 'INV_Ingot_02',
		['Smelt Tin'] = 'INV_Ingot_05',
		['Smelt Bronze'] = 'INV_Ingot_02',
		['Smelt Silver'] = 'INV_Ingot_01',
		['Smelt Gold'] = 'INV_Ingot_03',
		['Smelt Iron'] = 'INV_Ingot_04',
		['Smelt Mithril'] = 'INV_Ingot_06',
		['Smelt Truesilver'] = 'INV_Ingot_08',
		['Smelt Thorium'] = 'INV_Ingot_07',
		['Thorium Bar'] = 'INV_Ingot_07',
		['Bolt of Linen Cloth'] = 'INV_Fabric_Linen_02',
		['Bolt of Woolen Cloth'] = 'INV_Fabric_Wool_03',
		['Bolt of Silk Cloth'] = 'INV_Fabric_Silk_03',
		['Bolt of Mageweave'] = 'INV_Fabric_Mageweave_03',
		['Bolt of Runecloth'] = 'INV_Fabric_PurpleFire_02',
		['Rough Copper Bomb'] = 'INV_Misc_Bomb_09',
		['Large Copper Bomb'] = 'INV_Misc_Bomb_01',
		['Small Bronze Bomb'] = 'INV_Misc_Bomb_09',
		['Big Bronze Bomb'] = 'INV_Misc_Bomb_05',
		['Iron Grenade'] = 'INV_Misc_Bomb_08',
		['Big Iron Bomb'] = 'INV_Misc_Bomb_01',
		['Mithril Frag Bomb'] = 'INV_Misc_Bomb_02',
		['Hi-Explosive Bomb'] = 'INV_Misc_Bomb_07',
		['Thorium Grenade'] = 'INV_Misc_Bomb_08',
		['Dark Iron Bomb'] = 'INV_Misc_Bomb_05',
		['Arcane Bomb'] = 'Spell_shadow_MindBomb',
		['Net-o-Matic'] = 'Ability_Ensnare',
		['Fire Reflector'] = 'Spell_Fire_SealOfFire',
		['Frost Reflector'] = 'Spell_Frost_FrostWard',
		['Shadow Reflector'] = 'Spell_Shadow_AntiShadow',
		['Fang of the Crystal Spider'] = 'INV_Weapon_ShortBlade_16',
		['Free Action'] = 'INV_Potion_04',
		['Living Free Action'] = 'INV_Potion_07',
}

BabbleItem:Debug()
BabbleItem:SetStrictness(true)

function BabbleItem:GetSpellIcon(item)
	self:argCheck(item, 2, "string")
	local icon = itemIcons[item] or itemIcons[self:HasReverseTranslation(item) and self:GetReverseTranslation(item) or false]
	if not icon then
		return nil
	end
	return "Interface\\Icons\\" .. icon
end

function BabbleItem:GetShortSpellIcon(item)
	self:argCheck(item, 2, "string")
	return itemIcons[item] or itemIcons[self:HasReverseTranslation(item) and self:GetReverseTranslation(item) or false]
end

AceLibrary:Register(BabbleItem, MAJOR_VERSION, MINOR_VERSION)
BabbleItem = nil